﻿<?php	
//#################################################
//Eine Klasse: Vorlage für eine ganze Menge von Objekten
//App
class App{
	public $name;
	
	public function __construct(){}
	
	public function get_name(){
		return $this->name;
	}	
	
	public function set_name($pName){
		$this->name = $pName;
	}	
}

//#################################################
//Eine Klasse: Vorlage für eine ganze Menge von Objekten
//Erweitert die Anwendung um den Datenbankzugriff
class DBCon extends App{
	protected $conn;
	protected $host;
	protected $pass;
	protected $user;
	protected $db;
	protected $query = "";
	protected $ergebnis = array();
	
	public function __construct(){
		$this->host = "localhost";
		$this->user = "root";
		$this->pass = "";
		$this->db = "elternabenddb";
		$this->conn = new mysqli($this->host, $this->user, $this->pass,$this->db);
		
		if(!$this->conn) {
			$this->error();
		}
	}
	
	public function get_con(){
		return $this->conn;
	}
	
	public function connect(){
		$this->conn = new mysqli($this->host, $this->user, $this->pass,$this->db);
		if(!$this->conn) die("Es konnte keine Verbindung zur Datenbank hergestellt werden!");
		$this->conn -> select_db ($this->db);
		$this->conn -> set_charset ("UTF8");
	}
	
	public function select($pSQL){			
		$mErgebnis = $this -> conn -> query($pSQL) or die ('#1 Select single row verfehlt');
		$this -> conn -> affected_rows;
		return $mErgebnis;
	}
	
	public function update($pSQL){
		$this->ergebnis = mysqli_query($this -> conn,$pSQL)or die ('#2 Update verfehlt');
		return mysqli_affected_rows($this -> conn);			
	}
	
	public function insert($pSQL,$pTabelle){
		$mTimestamp = time();
		$mDatum = date("Y-m-d",$mTimestamp);
		$this -> conn -> query($pSQL) or die ('#3 Insert verfehlt');
		//$mEinlesen = $this -> conn -> query("SELECT LAST_INSERT_ID() as mLastid FROM ".$pTabelle)or die ('Select verfehlt');
		//$mLastidb = mysqli_result($mEinlesen,0);
	}
	
	public function delete($pSQL){
		$this->ergebnis = mysqli_query($this -> conn,$pSQL)or die ('#4 Delete verfehlt');
		return mysqli_affected_rows($this -> conn);	
	}
	
	public function error() {
		die("<h1>Fehler bei der Datenbankverbindung!</h1>");
	}	
	
}


?>